package co.yixiang.yshop.module.shop.convert.shop;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.shop.controller.admin.shop.vo.ShopCreateReqVO;
import co.yixiang.yshop.module.shop.controller.admin.shop.vo.ShopExcelVO;
import co.yixiang.yshop.module.shop.controller.admin.shop.vo.ShopRespVO;
import co.yixiang.yshop.module.shop.controller.admin.shop.vo.ShopUpdateReqVO;
import co.yixiang.yshop.module.shop.dal.dataobject.shop.ShopDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 门店 Convert
 *
 * @author admin
 */
@Mapper
public interface ShopConvert {

    ShopConvert INSTANCE = Mappers.getMapper(ShopConvert.class);

    ShopDO convert(ShopCreateReqVO bean);

    ShopDO convert(ShopUpdateReqVO bean);

    ShopRespVO convert(ShopDO bean);

    List<ShopRespVO> convertList(List<ShopDO> list);

    PageResult<ShopRespVO> convertPage(PageResult<ShopDO> page);

    List<ShopExcelVO> convertList02(List<ShopDO> list);

}
